Page MenuHomePhabricator

Codegen support for atomicrmw fadd/fsub
ClosedPublic

Authored by arsenm on Oct 31 2018, 6:38 PM.

Details

Diff Detail

Event Timeline

arsenm created this revision.Oct 31 2018, 6:38 PM
arsenm updated this revision to Diff 173930.Nov 13 2018, 1:21 PM
arsenm retitled this revision from Codegen support for atomicrmw fadd to Codegen support for atomicrmw fadd/fsub.

Handle fsub

hfinkel accepted this revision.Jan 22 2019, 5:34 AM

ping

LGTM (at least the target-independent parts; someone with more AMDGPU knowledge should look over those backend changes)

This revision is now accepted and ready to land.Jan 22 2019, 5:34 AM
arsenm closed this revision.Jan 22 2019, 10:36 AM

r351851